# Conflict processing networks: a directional analysis of stimulus-response compatibilities using MEG

## Summary
 
We employed an adaptation of the Simon task during recordings of MEG (Simon JR, Small AM. Processing auditory information: Interference from an irrelevant cue. J Appl Psychol. 1969;53: 433–435. doi:10.1037/h0028034). 
We provide a neuromagnetic datasets recorded using a whole-head magenetoencephalography system from 4D Neuroimaging (MAGNES®-3600WH MEG). The dataset consists of continuous neuromagnetic activity from regions of interests. For this the MEG data were continuously recorded with a sampling rate of 678.17 Hz and a bandwidth of 0 to 200 Hz. 
Environmental and power line noise as well as signal contributions due to eye movements or cardiac activity was removed from the data. The dynamics of predefined region of interests (ROI)are extracted on which Granger causality was applied to investigate the interconnections between the active brain regions, as well as their directionality. 
The dataset can be exploited to address crucial issues in neurophysiology such as: 1) What are the underlying neural mechanisms of the fronto-parietal attention network (FPAN). 2) What are the principles of neural interactions and 3) What are the temporal characteristics and directional interconnections. It has been reported that the network is influenced by ageing and appears to be associated with mental illnesses such as schizophrenia and attention-deficit hyperactivity disorder.

## Downloading the data

### Using gin

Create an account on gin and download the *gin* client as described [here](https://web.gin.g-node.org/G-Node/Info/wiki/gin-cli). On your computer, log in using
```bash
gin login
```

Clone the repository using:
```bash
gin get Conflict_Processing/stc
```

Large data files will not be downloaded automatically. To get them, use
```bash
gin get-content <filename>
```

Downloaded large files will be locked (read-only). You must unlock the files using
```bash
gin unlock <filename>
```

To remove the contents of a large file again, use
```bash
gin lock <filename>
gin remove-content <filename>
```

See [here](https://web.gin.g-node.org/G-Node/Info/wiki/gin-cli+tutorial) for detailed information on how to use *gin*.


## Repository structure

### Directory dataset_stc
The dynamics of predefined region of interests (ROI)are extracted on which Granger causality was applied to investigate the interconnections between the active brain regions, as well as their directionality. In the sub-directory func, the functional ROI labels are stored.

## Licensing
<a rel="license" href="http://creativecommons.org/licenses/by/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by/4.0/88x31.png" /></a><br /><span xmlns:dct="http://purl.org/dc/terms/" property="dct:title"> Conflict processing networks: a directional analysis of stimulus-response compatibilities using MEG </span> in the directories `stc` and `evoked` by <span xmlns:cc="http://creativecommons.org/ns#" property="cc:attributionName">Institute of Neuroscience and Medicine (INM-4), Forschungszentrum Jülich, Jülich, Germany</span> is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by/4.0/">Creative Commons Attribution 4.0 International License</a>.

All code in the directories `code` are published under the BSD 3 clause licenses. See the `LICENSE.txt` or `LICENSE` files in the corresponding directories for the full license.


